<?php

namespace App\Modelos;

use Core\Database;

class EmpleadoDivisas extends Database
{
    protected $table    = 'app_empleados_divisas';
    protected $id       = 'ed_id';

    public function obtenerDivisasEmpleado(int $id_empleado)
    {
        return $this->consultar("SELECT ed.ed_id id, div_id id_divisa, div_nombre nombre
        FROM app_empleados_divisas ed
        JOIN app_divisas d ON d.div_id = ed.ed_divid
        WHERE ed_empid = $id_empleado")->all();
    }

    public function obtenerDivisasDiferenteEmpleado(int $id_empleado)
    {
        return $this->consultar("SELECT d.div_id id, d.div_nombre nombre FROM app_divisas d WHERE d.div_id 
        NOT IN (SELECT ed.ed_divid FROM app_empleados_divisas ed WHERE ed.ed_empid = $id_empleado)")->all();
    }
}
